package ovh.herisson.Clyde.Repositories;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import ovh.herisson.Clyde.Tables.User;

import java.util.List;

public interface UserRepository extends CrudRepository<User, Long> {

    User findById(long id);

    User findByEmail(String email);

    /**
    @Query(value = "select a.* from Users a ",nativeQuery = true)
    Iterable<User> findAllUsers();**/

    @Query("select u from User u where u.role = ovh.herisson.Clyde.Tables.Role.Teacher")
    Iterable<User> findAllTeachers();


    @Query("select u from User u where u.role = ovh.herisson.Clyde.Tables.Role.Student")
    Iterable<User> findAllStudents();
}